=== modified file 'drizzled/optimizer/range.cc'
--- drizzled/optimizer/range.cc	2011-06-25 13:36:24 +0000
+++ drizzled/optimizer/range.cc	2011-06-27 15:10:59 +0000
@@ -291,8 +291,8 @@
 static
 optimizer::GroupMinMaxReadPlan *get_best_group_min_max(optimizer::Parameter *param, optimizer::SEL_TREE *tree);
 
-static optimizer::SEL_TREE *tree_and(optimizer::RangeParameter *param, 
-                                     optimizer::SEL_TREE *tree1, 
+static optimizer::SEL_TREE *tree_and(optimizer::RangeParameter *param,
+                                     optimizer::SEL_TREE *tree1,
                                      optimizer::SEL_TREE *tree2);
 
 static optimizer::SEL_ARG *sel_add(optimizer::SEL_ARG *key1, optimizer::SEL_ARG *key2);
@@ -310,8 +310,8 @@
                              const unsigned char *key,
                              uint32_t length);
 
-bool sel_trees_can_be_ored(optimizer::SEL_TREE *tree1, 
-                           optimizer::SEL_TREE *tree2, 
+bool sel_trees_can_be_ored(optimizer::SEL_TREE *tree1,
+                           optimizer::SEL_TREE *tree2,
                            optimizer::RangeParameter *param);
 
 
@@ -370,7 +370,7 @@
 }
 
 
-optimizer::SqlSelect::SqlSelect() 
+optimizer::SqlSelect::SqlSelect()
   :
     quick(NULL),
     cond(NULL),
@@ -407,17 +407,17 @@
 }
 
 
-bool optimizer::SqlSelect::check_quick(Session *session, 
+bool optimizer::SqlSelect::check_quick(Session *session,
                                        bool force_quick_range,
                                        ha_rows limit)
 {
   key_map tmp;
   tmp.set();
-  return (test_quick_select(session, 
-                           tmp, 
-                           0, 
+  return (test_quick_select(session,
+                           tmp,
+                           0,
                            limit,
-                           force_quick_range, 
+                           force_quick_range,
                            false) < 0);
 }
 
@@ -2138,14 +2138,14 @@
 */
 static optimizer::SEL_TREE *get_func_mm_tree(optimizer::RangeParameter *param,
                                   Item_func *cond_func,
-                                  Field *field, 
+                                  Field *field,
                                   Item *value,
-                                  Item_result cmp_type, 
+                                  Item_result cmp_type,
                                   bool inv)
 {
   optimizer::SEL_TREE *tree= NULL;
 
-  switch (cond_func->functype()) 
+  switch (cond_func->functype())
   {
 
   case Item_func::NE_FUNC:
@@ -2158,25 +2158,25 @@
     {
       if (inv)
       {
-        tree= get_ne_mm_tree(param, 
-                             cond_func, 
-                             field, 
+        tree= get_ne_mm_tree(param,
+                             cond_func,
+                             field,
                              cond_func->arguments()[1],
-                             cond_func->arguments()[2], 
+                             cond_func->arguments()[2],
                              cmp_type);
       }
       else
       {
-        tree= get_mm_parts(param, 
-                           cond_func, 
-                           field, 
+        tree= get_mm_parts(param,
+                           cond_func,
+                           field,
                            Item_func::GE_FUNC,
 		                       cond_func->arguments()[1],
                            cmp_type);
         if (tree)
         {
-          tree= tree_and(param, 
-                         tree, 
+          tree= tree_and(param,
+                         tree,
                          get_mm_parts(param, cond_func, field,
 					               Item_func::LE_FUNC,
 					               cond_func->arguments()[2],
@@ -2185,15 +2185,15 @@
       }
     }
     else
-      tree= get_mm_parts(param, 
-                         cond_func, 
+      tree= get_mm_parts(param,
+                         cond_func,
                          field,
                          (inv ?
                           (value == (Item*)1 ? Item_func::GT_FUNC :
                                                Item_func::LT_FUNC):
                           (value == (Item*)1 ? Item_func::LE_FUNC :
                                                Item_func::GE_FUNC)),
-                         cond_func->arguments()[0], 
+                         cond_func->arguments()[0],
                          cmp_type);
     break;
   }
@@ -2262,10 +2262,10 @@
         do
         {
           func->array->value_to_item(i, value_item);
-          tree= get_mm_parts(param, 
-                             cond_func, 
+          tree= get_mm_parts(param,
+                             cond_func,
                              field, Item_func::LT_FUNC,
-                             value_item, 
+                             value_item,
                              cmp_type);
           if (! tree)
             break;
@@ -2512,8 +2512,7 @@
     if (((Item_cond*) cond)->functype() == Item_func::COND_AND_FUNC)
     {
       tree=0;
-      Item *item;
-      while ((item=li++))
+      while (Item* item=li++)
       {
 	optimizer::SEL_TREE *new_tree= get_mm_tree(param,item);
 	if (param->session->is_fatal_error ||
@@ -2691,12 +2690,11 @@
     if (field->eq(key_part->field))
     {
       optimizer::SEL_ARG *sel_arg=0;
-      if (!tree && !(tree=new optimizer::SEL_TREE()))
-        return 0;				// OOM
+      if (!tree)
+        tree= new optimizer::SEL_TREE;
       if (!value || !(value->used_tables() & ~param->read_tables))
       {
-        sel_arg= get_mm_leaf(param,cond_func,
-            key_part->field,key_part,type,value);
+        sel_arg= get_mm_leaf(param,cond_func, key_part->field,key_part,type,value);
         if (! sel_arg)
           continue;
         if (sel_arg->type == optimizer::SEL_ARG::IMPOSSIBLE)
@@ -2708,8 +2706,7 @@
       else
       {
         // This key may be used later
-        if (! (sel_arg= new optimizer::SEL_ARG(optimizer::SEL_ARG::MAYBE_KEY)))
-          return 0;			// OOM
+        sel_arg= new optimizer::SEL_ARG(optimizer::SEL_ARG::MAYBE_KEY);
       }
       sel_arg->part=(unsigned char) key_part->part;
       tree->keys[key_part->key]=sel_add(tree->keys[key_part->key],sel_arg);
@@ -2783,8 +2780,7 @@
     goto end;
 
   if (param->using_real_indexes)
-    optimize_range= field->optimize_range(param->real_keynr[key_part->key],
-                                          key_part->part);
+    optimize_range= field->optimize_range(param->real_keynr[key_part->key], key_part->part);
   else
     optimize_range= true;
 
@@ -3070,7 +3066,7 @@
     Any predicate except "<=>"(null-safe equality operator) involving NULL as a
     constant is always FALSE
     Put IMPOSSIBLE Tree(null_element) here.
-  */  
+  */
   if (type != Item_func::EQUAL_FUNC && field->is_real_null())
   {
     tree= &optimizer::null_element;
@@ -3418,8 +3414,6 @@
     if (! next || next->type != optimizer::SEL_ARG::IMPOSSIBLE)
     {
       optimizer::SEL_ARG *new_arg= e1->clone_and(e2);
-      if (! new_arg)
-        return &optimizer::null_element;			// End of memory
       new_arg->next_key_part=next;
       if (! new_tree)
       {
@@ -4226,12 +4220,11 @@
     optimizer::QuickRange *null_range= NULL;
 
     *ref->null_ref_key= 1;		// Set null byte then create a range
-    if (!(null_range= new (alloc)
+    null_range= new (alloc)
           optimizer::QuickRange(ref->key_buff, ref->key_length,
                                  make_prev_keypart_map(ref->key_parts),
                                  ref->key_buff, ref->key_length,
-                                 make_prev_keypart_map(ref->key_parts), EQ_RANGE)))
-      goto err;
+                                 make_prev_keypart_map(ref->key_parts), EQ_RANGE);
     *ref->null_ref_key= 0;		// Clear null byte
     quick->ranges.push_back(&null_range);
   }
@@ -4243,9 +4236,7 @@
     quick->mrr_flags |= HA_MRR_USE_DEFAULT_IMPL;
 
   quick->mrr_buf_size= session->variables.read_rnd_buff_size;
-  if (table->cursor->multi_range_read_info(quick->index, 1, (uint32_t)records,
-                                           &quick->mrr_buf_size,
-                                           &quick->mrr_flags, &cost))
+  if (table->cursor->multi_range_read_info(quick->index, 1, (uint32_t)records, &quick->mrr_buf_size, &quick->mrr_flags, &cost))
     goto err;
 
   return quick;

=== modified file 'drizzled/optimizer/sel_arg.cc'
--- drizzled/optimizer/sel_arg.cc	2011-06-23 14:19:20 +0000
+++ drizzled/optimizer/sel_arg.cc	2011-06-27 15:10:59 +0000
@@ -23,8 +23,7 @@
 #include <drizzled/optimizer/sel_arg.h>
 #include <drizzled/util/test.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 /* Functions to fix up the tree after insert and delete */
 static void left_rotate(optimizer::SEL_ARG **root, optimizer::SEL_ARG *leaf)
@@ -72,7 +71,8 @@
   }
   else
   {
-    new_min=arg->min_value; flag_min=arg->min_flag;
+    new_min=arg->min_value;
+    flag_min=arg->min_flag;
   }
   if (cmp_max_to_max(arg) <= 0)
   {
@@ -84,38 +84,21 @@
     new_max= arg->max_value;
     flag_max= arg->max_flag;
   }
-  return (new SEL_ARG(field,
-                      part,
-                      new_min,
-                      new_max,
-                      flag_min,
-                      flag_max,
-                      test(maybe_flag && arg->maybe_flag)));
+  return new SEL_ARG(field, part, new_min, new_max, flag_min, flag_max, test(maybe_flag && arg->maybe_flag));
 }
 
 
 /* min <= X , arg->min */
 optimizer::SEL_ARG *optimizer::SEL_ARG::clone_first(optimizer::SEL_ARG *arg)
 {
-  return (new SEL_ARG(field,part,
-                      min_value,
-                      arg->min_value,
-                      min_flag,
-                      arg->min_flag & NEAR_MIN ? 0 : NEAR_MAX,
-		                                     maybe_flag | arg->maybe_flag));
+  return new SEL_ARG(field,part, min_value, arg->min_value, min_flag, arg->min_flag & NEAR_MIN ? 0 : NEAR_MAX, maybe_flag | arg->maybe_flag);
 }
 
 
 /* min <= X <= key_max */
 optimizer::SEL_ARG *optimizer::SEL_ARG::clone_last(optimizer::SEL_ARG *arg)
 {
-  return (new SEL_ARG(field,
-                      part,
-                      min_value,
-                      arg->max_value,
-                      min_flag,
-                      arg->max_flag,
-                      maybe_flag | arg->maybe_flag));
+  return new SEL_ARG(field, part, min_value, arg->max_value, min_flag, arg->max_flag, maybe_flag | arg->maybe_flag);
 }
 
 
@@ -330,9 +313,7 @@
   left= right= &optimizer::null_element;
 }
 
-optimizer::SEL_ARG *optimizer::SEL_ARG::clone(RangeParameter *param,
-                                              optimizer::SEL_ARG *new_parent,
-                                              optimizer::SEL_ARG **next_arg)
+optimizer::SEL_ARG *optimizer::SEL_ARG::clone(RangeParameter *param, optimizer::SEL_ARG *new_parent, optimizer::SEL_ARG **next_arg)
 {
   optimizer::SEL_ARG *tmp= NULL;
 
@@ -394,10 +375,10 @@
 optimizer::SEL_ARG *optimizer::SEL_ARG::clone_tree(RangeParameter *param)
 {
   optimizer::SEL_ARG tmp_link;
-  optimizer::SEL_ARG*next_arg= NULL;
-  optimizer::SEL_ARG *root= NULL;
+  optimizer::SEL_ARG* next_arg= NULL;
   next_arg= &tmp_link;
-  if (! (root= clone(param, (SEL_ARG *) 0, &next_arg)))
+  optimizer::SEL_ARG* root= clone(param, (SEL_ARG *) 0, &next_arg);
+  if (not root)
     return 0;
   next_arg->next= 0; // Fix last link
   tmp_link.next->prev= 0; // Fix first link

=== modified file 'drizzled/optimizer/sel_tree.cc'
--- drizzled/optimizer/sel_tree.cc	2011-06-22 21:57:14 +0000
+++ drizzled/optimizer/sel_tree.cc	2011-06-27 15:10:59 +0000
@@ -348,8 +348,6 @@
     if (cmp >= 0 && tmp->cmp_min_to_min(key2) < 0)
     {						// tmp.min <= x < key2.min
       optimizer::SEL_ARG *new_arg= tmp->clone_first(key2);
-      if (! new_arg)
-        return 0;				// OOM
       if ((new_arg->next_key_part= key1->next_key_part))
         new_arg->increment_use_count(key1->use_count+1);
       tmp->copy_min_to_min(key2);
@@ -363,8 +361,6 @@
       if (tmp->cmp_min_to_min(&key) > 0)
       {						// key.min <= x < tmp.min
         optimizer::SEL_ARG *new_arg= key.clone_first(tmp);
-        if (! new_arg)
-          return 0;				// OOM
         if ((new_arg->next_key_part=key.next_key_part))
           new_arg->increment_use_count(key1->use_count+1);
         key1= key1->insert(new_arg);
@@ -398,8 +394,6 @@
       else
       {
         optimizer::SEL_ARG *new_arg= tmp->clone_last(&key); // tmp.min <= x <= key.max
-        if (! new_arg)
-          return 0;				// OOM
         tmp->copy_max_to_min(&key);
         tmp->increment_use_count(key1->use_count+1);
         /* Increment key count as it may be used for next loop */

=== modified file 'drizzled/statement/insert_select.cc'
--- drizzled/statement/insert_select.cc	2011-04-09 16:11:46 +0000
+++ drizzled/statement/insert_select.cc	2011-06-27 15:10:59 +0000
@@ -62,21 +62,13 @@
     /* Skip first table, which is the table we are inserting in */
     TableList *second_table= first_table->next_local;
     select_lex->table_list.first= (unsigned char*) second_table;
-    select_lex->context.table_list=
-      select_lex->context.first_name_resolution_table= second_table;
+    select_lex->context.table_list= select_lex->context.first_name_resolution_table= second_table;
     res= insert_select_prepare(&session());
-    if (! res && (sel_result= new select_insert(first_table,
-                                                first_table->table,
-                                                &lex().field_list,
-                                                &lex().update_list,
-                                                &lex().value_list,
-                                                lex().duplicates,
-                                                lex().ignore)))
+    if (not res)
     {
-      res= handle_select(&session(), 
-                         &lex(), 
-                         sel_result, 
-                         OPTION_SETUP_TABLES_DONE);
+      sel_result= new select_insert(first_table, first_table->table, &lex().field_list, &lex().update_list, &lex().value_list, 
+        lex().duplicates, lex().ignore);
+      res= handle_select(&session(), &lex(), sel_result, OPTION_SETUP_TABLES_DONE);
 
       /*
          Invalidate the table in the query cache if something changed

=== modified file 'drizzled/statement/replace_select.cc'
--- drizzled/statement/replace_select.cc	2011-04-09 16:11:46 +0000
+++ drizzled/statement/replace_select.cc	2011-06-27 15:10:59 +0000
@@ -62,18 +62,11 @@
     select_lex->context.table_list=
       select_lex->context.first_name_resolution_table= second_table;
     res= insert_select_prepare(&session());
-    if (! res && (sel_result= new select_insert(first_table,
-                                                first_table->table,
-                                                &lex().field_list,
-                                                &lex().update_list,
-                                                &lex().value_list,
-                                                lex().duplicates,
-                                                lex().ignore)))
+    if (not res)
     {
-      res= handle_select(&session(),
-                         &lex(),
-                         sel_result,
-                         OPTION_SETUP_TABLES_DONE);
+      sel_result= new select_insert(first_table, first_table->table, &lex().field_list, &lex().update_list,&lex().value_list, 
+        lex().duplicates, lex().ignore);
+      res= handle_select(&session(), &lex(), sel_result, OPTION_SETUP_TABLES_DONE);
       /*
          Invalidate the table in the query cache if something changed
          after unlocking when changes become visible.

